> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Application Subscription

> Update an existing application event subscription.



## OpenAPI

````yaml /openapi/openapi_appdevelopement.json put /platform/appdev/appsubscriptions/events
openapi: 3.0.1
info:
  description: |-
    <div id="overview_APPDEVELOPEMENT">
                <h2>APP DEVELOPMENT</h2>
                <p>The Applications API updates and retrieves details about the applications installed for your tenant. Use
                    the AuthTickets resource for applications resource to manage authentication tickets for your apps. For information about creating applications, see the <a href="/pages/applications-1a6c791">Application Development</a> guides.</p>
                <p>Use the<strong>App Auth Tickets</strong> resource to manage authentication tickets for your applications.</p>
                <p>Use the <strong>Filebased Package</strong> resource to download a file-based representation of the application definition to work on collaboratively with your team using your own source control process.</p>
                <p>Use the <strong>Package</strong> resource to manage the application packages and retrieve summaries.</p>
                <p>Use the <strong>Public Application</strong> resource to retrieve package metadata or application versions as well as manage package files.</p>
            </div>
  title: App Development
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/appdev/appsubscriptions/events:
    put:
      tags:
        - AppEvent
      summary: Update Application Subscription
      description: Update an existing application event subscription.
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApplicationSubscription'
        description: ''
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApplicationSubscription'
            text/json:
              schema:
                $ref: '#/components/schemas/ApplicationSubscription'
            text/plain:
              schema:
                $ref: '#/components/schemas/ApplicationSubscription'
          description: OK
components:
  schemas:
    ApplicationSubscription:
      description: Defines an event that an Application Version is subscribed to.
      properties:
        applicationEndPoint:
          description: >-
            The End Point where the event information will be sent to when the
            event is fired.
          nullable: true
          type: string
        applicationSubscriptionId:
          description: The unique identifier of an ApplicationVersionEvent record.
          format: int32
          type: integer
        events:
          description: ''
          items:
            $ref: '#/components/schemas/AppDevEvent'
          nullable: true
          type: array
        noCallback:
          description: ''
          type: boolean
        packageId:
          description: ''
          format: int32
          type: integer
      type: object
    AppDevEvent:
      description: Describes an event that a 3rd party developer can subscribe to.
      properties:
        apiVersionNumber:
          description: >-
            The Api Version Number which defines what events are available for a
            given API version.
          nullable: true
          type: string
        eventCategory:
          description: The category the event belongs to.
          nullable: true
          type: string
        eventId:
          description: Unique identifier of an Event record.
          format: int32
          type: integer
        eventName:
          description: The name of the event.
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````